## kmplot 16.08.3

=== CMakeLists.txt ===
project(kmplot)
cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
set (QT_MIN_VERSION "5.3.0")

find_package (ECM 1.3.0 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(CheckIncludeFiles)
include(KDEInstallDirs)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Svg Widgets PrintSupport)

find_package (KF5 REQUIRED
    Crash
    GuiAddons
    I18n
    Parts
    WidgetsAddons
    DocTools
    KDELibs4Support
    DBusAddons
)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

check_include_files(ieeefp.h HAVE_IEEEFP_H)
configure_file(config-kmplot.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kmplot/config-kmplot.h)

add_subdirectory( doc )
add_subdirectory( kmplot )
add_subdirectory( icons )

install(FILES org.kde.kmplot.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kmplot (4:16.08.3-1) unstable; urgency=medium

  * New upstream release (16.08.3)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 21:13:47 +0100

kmplot (4:16.08.1-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (16.08.1)

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 00:11:23 +0200

=== debian/control ===
Source: kmplot
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               kdoctools-dev,
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-dev,
               libkf5parts-dev,
               libkf5widgetsaddons-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmplot.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmplot.git

Package: kmplot
Architecture: any
Section: math
Depends: kdeedu-data, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: mathematical function plotter for KDE
 KmPlot is a powerful mathematical plotter KDE, capable of plotting multiple
 functions simultaneously and combining them into new functions.
 .
 Cartesian, parametric, and differential functions are supported, as well as
 functions using polar coordinates.  Plots are printed with high precision at
 the correct aspect ratio.
 .
 KmPlot also provides numerical and visual features such as filling and
 calculating the area between the plot and the first axis, finding maxima and
 minima, changing function parameters dynamically, and plotting derivatives
 and integral functions.
 .
 This package is part of the KDE education module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmplot-([\d.]+).tar.xz

## kmplot 16.12.3

=== debian/changelog ===
kmplot (4:16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:23:22 +0000

kmplot (4:16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * Update build deps to use new KF5 style names
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:12:01 +0000

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,20 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               kdoctools-dev,
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5doctools-dev,
-               libkf5guiaddons-dev,
-               libkf5i18n-dev,
-               libkf5kdelibs4support-dev,
-               libkf5parts-dev,
-               libkf5widgetsaddons-dev,
-               libqt5svg5-dev (>= 5.4),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5guiaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4)
-Standards-Version: 3.9.8
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmplot.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmplot.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot
 
 Package: kmplot
 Architecture: any

## kmplot 17.04.3

=== debian/changelog ===
kmplot (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:27:15 +0100

## kmplot 17.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -36,5 +36,9 @@
 add_subdirectory( kmplot )
 add_subdirectory( icons )
 
-install(FILES org.kde.kmplot.appdata.xml DESTINATION ${SHARE_INSTALL_PREFIX}/appdata/)
+install(FILES org.kde.kmplot.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+ kdoctools_install(po)
+endif()

=== debian/changelog ===
kmplot (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Adjust l10npkgs_firstversion_ok to the version where kde-l10n will
    drop translations.
  * Bump Standards-Version to 4.1.1, no changes required.
  * Simplify watch file, and switch it to https.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Dec 2017 09:37:53 +0100

kmplot (4:17.08.1-1) experimental; urgency=medium

  * New upstream release (17.08.1)
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Bump kde-l10n breaks/replaces versions
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 18 Sep 2017 15:06:28 +0200

kmplot (4:17.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Sep 2017 14:02:52 +0000

kmplot (4:17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:38:01 +0000

kmplot (4:17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:22:56 +0000

kmplot (4:17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:22:32 +0000

kmplot (4:17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:21:45 +0000

kmplot (4:17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:05:00 +0000

kmplot (4:16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:49:14 +0000

kmplot (4:16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 17:00:30 +0000

kmplot (4:16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:21:05 +0000

kmplot (4:16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:29:55 +0000

kmplot (4:16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:53:34 +0000

kmplot (4:16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:40:25 +0000

kmplot (4:16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:07:27 +0000

kmplot (4:16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:49:35 +0000

kmplot (4:16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:37:54 +0000

kmplot (4:16.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Jun 2016 11:08:29 +0000

=== debian/control ===
Source: kmplot
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               libkf5crash-dev,
               libkf5dbusaddons-dev,
               libkf5doctools-dev,
               libkf5guiaddons-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-dev,
               libkf5parts-dev,
               libkf5widgetsaddons-dev,
               libqt5svg5-dev (>= 5.4),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4),
Standards-Version: 4.1.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmplot.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmplot.git

Package: kmplot
Architecture: any
Section: math
Depends: kdeedu-data, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: mathematical function plotter for KDE
 KmPlot is a powerful mathematical plotter KDE, capable of plotting multiple
 functions simultaneously and combining them into new functions.
 .
 Cartesian, parametric, and differential functions are supported, as well as
 functions using polar coordinates.  Plots are printed with high precision at
 the correct aspect ratio.
 .
 KmPlot also provides numerical and visual features such as filling and
 calculating the area between the plot and the first axis, finding maxima and
 minima, changing function parameters dynamically, and plotting derivatives
 and integral functions.
 .
 This package is part of the KDE education module.

## kmplot 17.12.3

=== kmplot/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"kmplot\")


########### next target ###############

set(kmplotpart_PART_SRCS 
   plotstylewidget.cpp
   initialconditionseditor.cpp
   functioneditor.cpp
   constants.cpp
   parser.cpp 
   xparser.cpp 
   equationedit.cpp
   equationeditwidget.cpp
   equationhighlighter.cpp
   equationeditorwidget.cpp
   equationeditor.cpp
   function.cpp
   view.cpp 
   maindlg.cpp 
   kprinterdlg.cpp 
   kconstanteditor.cpp
   kparametereditor.cpp
   functiontools.cpp 
   kmplotio.cpp 
   ksliderwindow.cpp 
   parameterswidget.cpp
   coordsconfigdialog.cpp
   parameteranimator.cpp
   vector.cpp
   kgradientdialog.cpp
   calculator.cpp
   )

qt5_add_dbus_adaptor( kmplotpart_PART_SRCS org.kde.kmplot.MainDlg.xml maindlg.h MainDlg)
qt5_add_dbus_adaptor( kmplotpart_PART_SRCS org.kde.kmplot.Parser.xml xparser.h XParser)
qt5_add_dbus_adaptor( kmplotpart_PART_SRCS org.kde.kmplot.View.xml view.h View)

ki18n_wrap_ui(kmplotpart_PART_SRCS
	plotstylewidget.ui
	initialconditionswidget.ui
	functioneditorwidget.ui
	editcoords.ui
	functiontools.ui
	qparametereditor.ui
	constantseditor.ui
	settingspagecolor.ui
	settingspagefonts.ui
	settingspagegeneral.ui
	settingspagediagram.ui
	sliderwidget.ui
	parameterswidget.ui
	parameteranimator.ui
	equationeditorwidget.ui
	)

kconfig_add_kcfg_files(kmplotpart_PART_SRCS settings.kcfgc )

add_library(kmplotpart MODULE ${kmplotpart_PART_SRCS})



target_link_libraries(kmplotpart KF5::KDELibs4Support KF5::Parts Qt5::Svg)

install(TARGETS kmplotpart  DESTINATION ${PLUGIN_INSTALL_DIR} )

########### next target ###############   

set(kmplot_SRCS main.cpp kmplot.cpp kmplotprogress.cpp)
qt5_add_dbus_adaptor(kmplot_SRCS org.kde.kmplot.KmPlot.xml kmplot.h KmPlot)

# FIXME: it's wrong, but otherwise it does not compile
kconfig_add_kcfg_files(kmplot_SRCS settings.kcfgc )

file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/*-apps-kmplot.png")
ecm_add_app_icon(kmplot_SRCS ICONS ${ICONS_SRCS})

add_executable(kmplot ${kmplot_SRCS})

target_link_libraries(kmplot KF5::Crash KF5::KDELibs4Support KF5::Parts KF5::DBusAddons)

install(TARGETS kmplot  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( PROGRAMS org.kde.kmplot.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kmplot.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES kmplot_part.desktop  DESTINATION  ${SERVICES_INSTALL_DIR} )
install( FILES kmplot_part.rc kmplot_part_readonly.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/kmplot )
install( FILES kmplot_shell.rc  DESTINATION  ${KXMLGUI_INSTALL_DIR}/kmplot )
install( FILES org.kde.kmplot.KmPlot.xml org.kde.kmplot.MainDlg.xml org.kde.kmplot.Parser.xml org.kde.kmplot.View.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR} )

=== debian/changelog ===
kmplot (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:29:00 +0000

kmplot (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 22 Feb 2018 16:59:15 +0000

kmplot (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:07:52 +0000

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,20 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5doctools-dev,
-               libkf5guiaddons-dev,
-               libkf5i18n-dev,
-               libkf5kdelibs4support-dev,
-               libkf5parts-dev,
-               libkf5widgetsaddons-dev,
-               libqt5svg5-dev (>= 5.4),
+               extra-cmake-modules (>= 5.31.0~),
+               libkf5doctools-dev (>= 5.31.0~),
+               libkf5guiaddons-dev (>= 5.31.0~),
+               libkf5i18n-dev (>= 5.31.0~),
+               libkf5kdelibs4support-dev (>= 5.31.0~),
+               libkf5parts-dev (>= 5.31.0~),
+               libkf5widgetsaddons-dev (>= 5.31.0~),
+               libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4),
-Standards-Version: 4.1.1
+               qtbase5-dev (>= 5.6.1~)
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kmplot.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kmplot.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot
 
 Package: kmplot
 Architecture: any

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kmplot-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kmplot-([\d.]+).tar.xz

## kmplot 18.04.3

=== debian/changelog ===
kmplot (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 Aug 2018 09:19:19 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libqt5svg5-dev (>= 5.6.1~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~)
+               qtbase5-dev (>= 5.6.1~),
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot

## kmplot 18.12.3

=== debian/changelog ===
kmplot (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Mar 2019 13:30:32 +0000

kmplot (4:18.12.2-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 17 Feb 2019 13:17:47 +0000

kmplot (4:18.12.1-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 10 Jan 2019 14:12:09 +0000

kmplot (4:18.12.0-0ubuntu1) disco; urgency=medium

  * New upstream beta release (18.11.80)
  * New upstream release (18.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 05 Jan 2019 16:50:28 +0000

kmplot (4:18.08.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.08.3)
  * Merge Debian changes. Remaining changes:
    - d/rules: l10npkgs_firstversion_ok := 4:17.03.90-0~
    - Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 02 Jan 2019 23:18:25 +0000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,19 @@
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
-               libkf5doctools-dev (>= 5.31.0~),
-               libkf5guiaddons-dev (>= 5.31.0~),
-               libkf5i18n-dev (>= 5.31.0~),
-               libkf5kdelibs4support-dev (>= 5.31.0~),
-               libkf5parts-dev (>= 5.31.0~),
-               libkf5widgetsaddons-dev (>= 5.31.0~),
-               libqt5svg5-dev (>= 5.6.1~),
+               extra-cmake-modules (>= 1.3.0~),
+               libkf5crash-dev,
+               libkf5dbusaddons-dev,
+               libkf5doctools-dev,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5kdelibs4support-dev,
+               libkf5parts-dev,
+               libkf5widgetsaddons-dev,
+               libqt5svg5-dev (>= 5.4),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.6.1~),
-Standards-Version: 3.9.6
+               qtbase5-dev (>= 5.4),
+Standards-Version: 4.1.1
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot

## kmplot 19.04.3

=== debian/changelog ===
kmplot (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Jul 2019 14:16:09 +0100

kmplot (4:19.04.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.2)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 15:08:44 +0100

kmplot (4:19.04.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.1)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 12 May 2019 20:59:54 +0100

kmplot (4:19.04.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Apr 2019 20:45:28 +0100

## kmplot 19.08.2

=== debian/changelog ===
kmplot (4:19.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - calculates extrema for second derivatives right (Closes: #683855)

 -- Pino Toscano <pino@debian.org>  Mon, 14 Oct 2019 19:28:20 +0200

kmplot (4:19.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.04.1).
  * Update Vcs links to salsa.
  * Bump Standards-Version to 4.1.4 (No changes needed).
  * Bump debhelper build-dep and compat to 11.

  [ Pino Toscano ]
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5.0
    - remove libkf5kdelibs4support-dev
    - explicitly add gettext
  * Fix Format in copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 09 Oct 2019 06:56:45 +0200

## kmplot 19.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(kmplot)
-cmake_minimum_required (VERSION 2.8.12 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
 set (QT_MIN_VERSION "5.3.0")
 
 find_package (ECM 1.3.0 REQUIRED NO_MODULE)
@@ -21,13 +21,13 @@
     Parts
     WidgetsAddons
     DocTools
-    KDELibs4Support
     DBusAddons
 )
 
 include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
 add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
 
 check_include_files(ieeefp.h HAVE_IEEEFP_H)
 configure_file(config-kmplot.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kmplot/config-kmplot.h)

=== debian/changelog ===
kmplot (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:11:53 +0000

kmplot (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)
  * Update watch file to the new release-service location.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:22:00 +0000

kmplot (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:56:08 +0000

kmplot (4:19.12.0-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2019 10:49:47 +0000

kmplot (4:19.08.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2019 13:34:28 +0000

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,24 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+Build-Depends: cmake (>= 3.5.0~),
+               debhelper (>= 11),
                extra-cmake-modules (>= 1.3.0~),
+               gettext,
                libkf5crash-dev,
                libkf5dbusaddons-dev,
                libkf5doctools-dev,
                libkf5guiaddons-dev,
                libkf5i18n-dev,
-               libkf5kdelibs4support-dev,
                libkf5parts-dev,
                libkf5widgetsaddons-dev,
                libqt5svg5-dev (>= 5.4),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.4),
-Standards-Version: 4.1.1
+Standards-Version: 4.4.1
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmplot
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmplot.git
 
 Package: kmplot
 Architecture: any

## kmplot 20.08.1

=== debian/changelog ===
kmplot (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:56:14 +0100

kmplot (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Aug 2020 19:48:51 +0100

kmplot (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:39:29 +0100

kmplot (4:20.04.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 20 Jun 2020 13:18:59 +0100

kmplot (4:20.04.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.1)

 -- Rik Mills <rikmills@kde.org>  Fri, 15 May 2020 14:37:39 +0100

kmplot (4:20.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt5 packages to 5.6.0
    - bump the KF5 packages to 5.32.0
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 02 May 2020 10:39:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,20 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.5.0~),
-               debhelper (>= 11),
-               extra-cmake-modules (>= 1.3.0~),
+               debhelper-compat (= 12),
+               extra-cmake-modules (>= 5.32.0~),
                gettext,
-               libkf5crash-dev,
-               libkf5dbusaddons-dev,
-               libkf5doctools-dev,
-               libkf5guiaddons-dev,
-               libkf5i18n-dev,
-               libkf5parts-dev,
-               libkf5widgetsaddons-dev,
-               libqt5svg5-dev (>= 5.4),
+               libkf5crash-dev (>= 5.32.0~),
+               libkf5dbusaddons-dev (>= 5.32.0~),
+               libkf5doctools-dev (>= 5.32.0~),
+               libkf5guiaddons-dev (>= 5.32.0~),
+               libkf5i18n-dev (>= 5.32.0~),
+               libkf5parts-dev (>= 5.32.0~),
+               libkf5widgetsaddons-dev (>= 5.32.0~),
+               libqt5svg5-dev (>= 5.6.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4),
-Standards-Version: 4.4.1
+               qtbase5-dev (>= 5.6.0~),
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmplot
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmplot.git

## kmplot 20.12.0

=== icons/CMakeLists.txt ===
ecm_install_icons( ICONS
                   128-apps-kmplot.png
                   64-apps-kmplot.png
                   48-apps-kmplot.png
                   32-apps-kmplot.png
                   22-apps-kmplot.png
                   16-apps-kmplot.png
                   sc-apps-kmplot.svgz
                   DESTINATION  ${ICON_INSTALL_DIR}
                   THEME hicolor   )

=== debian/changelog ===
kmplot (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.
  * Add Rules-Requires-Root: no.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable releases.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 24 Dec 2020 08:22:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.5.0~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.32.0~),
                gettext,
                libkf5crash-dev (>= 5.32.0~),
@@ -17,18 +17,17 @@
                libqt5svg5-dev (>= 5.6.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmplot
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmplot.git
+Rules-Requires-Root: no
 
 Package: kmplot
 Architecture: any
 Section: math
 Depends: kdeedu-data, ${misc:Depends}, ${shlibs:Depends}
 Suggests: khelpcenter
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: mathematical function plotter for KDE
  KmPlot is a powerful mathematical plotter KDE, capable of plotting multiple
  functions simultaneously and combining them into new functions.

## kmplot 20.12.3

=== debian/changelog ===
kmplot (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:23:02 +0000

kmplot (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:56:42 +0000

kmplot (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:11:54 +0000

## kmplot 21.08.0

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.5 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

project(kmplot VERSION "1.3.${RELEASE_SERVICE_COMPACT_VERSION}")

set (QT_MIN_VERSION "5.6.0")
set (KF5_MIN_VERSION "5.69.0")

find_package (ECM 1.3.0 REQUIRED NO_MODULE)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )

include(CheckIncludeFiles)
include(KDEInstallDirs)
include(ECMAddAppIcon)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Svg Widgets PrintSupport)

find_package (KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Crash
    GuiAddons
    I18n
    Parts
    WidgetsAddons
    DocTools
    DBusAddons
)

include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
add_definitions (-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)

check_include_files(ieeefp.h HAVE_IEEEFP_H)
configure_file(config-kmplot.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/kmplot/config-kmplot.h)
ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KMPLOT VERSION_HEADER kmplot_version.h)

add_subdirectory( doc )
add_subdirectory( kmplot )
add_subdirectory( icons )

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
install(FILES org.kde.kmplot.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kmplot (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:19:18 +0900

kmplot (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Eshat Cakar from the uploaders, thanks for your work on the
    package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 10:33:35 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: kmplot
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.32.0~),
                gettext,
-               libkf5crash-dev (>= 5.32.0~),
-               libkf5dbusaddons-dev (>= 5.32.0~),
-               libkf5doctools-dev (>= 5.32.0~),
-               libkf5guiaddons-dev (>= 5.32.0~),
-               libkf5i18n-dev (>= 5.32.0~),
-               libkf5parts-dev (>= 5.32.0~),
-               libkf5widgetsaddons-dev (>= 5.32.0~),
+               libkf5crash-dev (>= 5.69.0~),
+               libkf5dbusaddons-dev (>= 5.69.0~),
+               libkf5doctools-dev (>= 5.69.0~),
+               libkf5guiaddons-dev (>= 5.69.0~),
+               libkf5i18n-dev (>= 5.69.0~),
+               libkf5parts-dev (>= 5.69.0~),
+               libkf5widgetsaddons-dev (>= 5.69.0~),
                libqt5svg5-dev (>= 5.6.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.0~),

## kmplot 21.08.1

=== debian/changelog ===
kmplot (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:35:54 +0100

kmplot (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:04:53 +0100

kmplot (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:58:34 +0100

kmplot (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:35:34 +0100

kmplot (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:46:00 +0100

kmplot (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:42:44 +0100

kmplot (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:09:18 +0100

kmplot (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:39:21 +0100

## kmplot 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "21")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
kmplot (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:13:15 +0000

kmplot (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:19:50 +0000

kmplot (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:27:42 +0000

kmplot (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:24:51 +0000

kmplot (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:09:24 +0000

kmplot (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:20:03 +0000

kmplot (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:27:52 +0000

kmplot (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:42:30 +0000

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: kmplot
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.32.0~),
                gettext,
-               libkf5crash-dev (>= 5.69.0~),
-               libkf5dbusaddons-dev (>= 5.69.0~),
-               libkf5doctools-dev (>= 5.69.0~),
-               libkf5guiaddons-dev (>= 5.69.0~),
-               libkf5i18n-dev (>= 5.69.0~),
-               libkf5parts-dev (>= 5.69.0~),
-               libkf5widgetsaddons-dev (>= 5.69.0~),
+               libkf5crash-dev (>= 5.32.0~),
+               libkf5dbusaddons-dev (>= 5.32.0~),
+               libkf5doctools-dev (>= 5.32.0~),
+               libkf5guiaddons-dev (>= 5.32.0~),
+               libkf5i18n-dev (>= 5.32.0~),
+               libkf5parts-dev (>= 5.32.0~),
+               libkf5widgetsaddons-dev (>= 5.32.0~),
                libqt5svg5-dev (>= 5.6.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.0~),
 Standards-Version: 4.5.1
 Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmplot
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmplot.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmplot
 Rules-Requires-Root: no
 
 Package: kmplot

## kmplot 22.08.1

=== debian/changelog ===
kmplot (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:42:44 +0100

kmplot (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:52:19 +0100

kmplot (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:29:57 +0100

kmplot (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:04:14 +0100

kmplot (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:03:04 +0100

kmplot (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:50:38 +0100

## kmplot 22.12.1

=== debian/changelog ===
kmplot (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:38:05 +0100

kmplot (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:47 +0100

kmplot (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:00 +0100

kmplot (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 23:06:39 +0100

=== debian/control ===
Source: kmplot
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5crash-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.90.0~),
               libkf5guiaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5parts-dev (>= 5.90.0~),
               libkf5widgetsaddons-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.15.2~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/kdeedu/kmplot
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmplot
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmplot.git
Rules-Requires-Root: no

Package: kmplot
Architecture: any
Section: math
Depends: kdeedu-data, ${misc:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Description: mathematical function plotter for KDE
 KmPlot is a powerful mathematical plotter KDE, capable of plotting multiple
 functions simultaneously and combining them into new functions.
 .
 Cartesian, parametric, and differential functions are supported, as well as
 functions using polar coordinates.  Plots are printed with high precision at
 the correct aspect ratio.
 .
 KmPlot also provides numerical and visual features such as filling and
 calculating the area between the plot and the first axis, finding maxima and
 minima, changing function parameters dynamically, and plotting derivatives
 and integral functions.
 .
 This package is part of the KDE education module.

## kmplot 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
+cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
@@ -9,10 +9,11 @@
 
 project(kmplot VERSION "1.3.${RELEASE_SERVICE_COMPACT_VERSION}")
 
-set (QT_MIN_VERSION "5.6.0")
-set (KF5_MIN_VERSION "5.69.0")
+set (QT_MIN_VERSION "5.15.2")
+set (KF5_MIN_VERSION "5.90.0")
+set (KDE_COMPILERSETTINGS_LEVEL "5.82.0")
 
-find_package (ECM 1.3.0 REQUIRED NO_MODULE)
+find_package (ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 include(CheckIncludeFiles)
@@ -22,8 +23,10 @@
 include(ECMSetupVersion)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Svg Widgets PrintSupport)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Svg Widgets PrintSupport)
 
 find_package (KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Crash
@@ -53,4 +56,10 @@
     kdoctools_install(po)
 endif()
 install(FILES org.kde.kmplot.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
+
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kmplot (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:56 +0100

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,8 @@
 Package: kmplot
 Architecture: any
 Section: math
-Depends: kdeedu-data, ${misc:Depends}, ${shlibs:Depends}
-Suggests: khelpcenter
+Depends: kdeedu-data, ${misc:Depends}, ${shlibs:Depends},
+Suggests: khelpcenter,
 Description: mathematical function plotter for KDE
  KmPlot is a powerful mathematical plotter KDE, capable of plotting multiple
  functions simultaneously and combining them into new functions.

## kmplot 23.08.0

=== debian/changelog ===
kmplot (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:56:43 +0100

kmplot (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:36:23 +0100

kmplot (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:50:20 +0100

kmplot (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:58:38 +0100

kmplot (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:40:33 +0000

kmplot (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:20:41 -0600

kmplot (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:16:42 +0000

kmplot (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Sat, 31 Dec 2022 17:49:41 +0000

kmplot (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:12:00 +0000

kmplot (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:08:18 +0000

kmplot (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:52:09 +0000

kmplot (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:11:29 +0000
